Name:    jadetex
Version: 3.13
Epoch:   1
Release: %mkrel 12
Group:   Publishing
Summary: TeX macros used by Jade TeX output
License: Freely redistributable without restriction
URL:     http://sourceforge.net/projects/jadetex

Obsoletes:	texlive-texmf-jadetex <= 2007
Obsoletes:	texlive-jadetex <= 2007


Requires: sgml-common >= 0.5
Requires: texlive-texmf
Requires: jade
Requires(post): texlive
Requires(postun): texlive
Requires(post): texlive-texmf
Requires(postun): texlive-texmf
Conflicts: texlive < 20130530
BuildRequires: unzip 
BuildRequires: texlive 
BuildRequires: texlive-texmf

BuildArch: noarch
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: jadefmtutil.cnf
Patch0: jadetex-tetex3.patch
Patch1: jadetex-3.13-typoupstream.patch


%description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as TeX files (to obtain DVI,
PostScript, or PDF files, for example).

%prep
%setup -q
cp -p %{SOURCE1} .
%patch0 -p1 -b .tetex3
%patch1 -p1 -b .typoupstream

%build
make


%install
mkdir -p %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/texmf-dist/tex/jadetex
cp -p *.ini %{buildroot}%{_datadir}/texmf-dist/tex/jadetex
cp -p *.sty %{buildroot}%{_datadir}/texmf-dist/tex/jadetex
cp -p *.cnf %{buildroot}%{_datadir}/texmf-dist/tex/jadetex

mkdir -p %{buildroot}%{_bindir}
ln -s etex %{buildroot}%{_bindir}/jadetex
ln -s pdfetex %{buildroot}%{_bindir}/pdfjadetex

mkdir -p %{buildroot}%{_mandir}/man1
cp -p jadetex.1 %{buildroot}%{_mandir}/man1
ln -s jadetex.1.gz %{buildroot}%{_mandir}/man1/pdfjadetex.1

%post
%{_bindir}/texhash 2> /tmp/jadetex-texhash.log
%{_bindir}/env - PATH=$PATH:%{_bindir} fmtutil-sys \
	       --cnffile %{_datadir}/texmf-dist/tex/jadetex/jadefmtutil.cnf \
	       --all --fmtdir %{_datadir}/texmf-dist/web2c \
	       > /tmp/jadetex-fmtutil-sys.log 2>&1

%postun
%{_bindir}/texhash 2> /dev/null

%files
%doc index.html
%ghost %{_datadir}/texmf-dist/web2c/jadetex.fmt
%ghost %{_datadir}/texmf-dist/web2c/pdfjadetex.fmt
%dir %{_datadir}/texmf-dist/tex/jadetex
%{_datadir}/texmf-dist/tex/jadetex/*
%{_datadir}/texmf-dist/web2c/*
%{_mandir}/man1/jadetex.1*
#%{_mandir}/man1/pdfjadetex.1*
%{_bindir}/jadetex
%{_bindir}/pdfjadetex

%triggerin -- texlive
/usr/bin/env - PATH=$PATH:%{_bindir} fmtutil-sys --cnffile %{_datadir}/texmf-dist/tex/jadetex/jadefmtutil.cnf --all > /dev/null 2>&1
exit 0


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1:3.13-12.mga5
+ Revision: 740255
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.13-11.mga5
+ Revision: 680614
- Mageia 5 Mass Rebuild

* Fri Jan 24 2014 malo <malo> 1:3.13-10.mga4
+ Revision: 568065
- fix upgrade with new texlive

* Fri Jan 03 2014 dmorgan <dmorgan> 1:3.13-9.mga4
+ Revision: 564095
- Rebuild against current texlive

* Tue Dec 31 2013 malo <malo> 1:3.13-8.mga4
+ Revision: 563467
- adapt to new texlive and update scriptlets

* Tue Dec 31 2013 dmorgan <dmorgan> 1:3.13-7.mga4
+ Revision: 563423
- Simplify file list

* Tue Oct 22 2013 umeabot <umeabot> 1:3.13-6.mga4
+ Revision: 545906
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 1:3.13-5.mga4
+ Revision: 501950
- BR texlive-texmf

* Sat Jan 12 2013 umeabot <umeabot> 1:3.13-4.mga3
+ Revision: 354675
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 09 2011 bcornec <bcornec> 1:3.13-3.mga3
+ Revision: 153382
- Fix a bug in SElinux detection for jadetex

  + alien <alien>
    - Add a comment regarding fmt files
    - Fix location of the fmt files (bug #1538)

  + dmorgan <dmorgan>
    - add more obsoletes

* Sat Mar 19 2011 dmorgan <dmorgan> 1:3.13-1.mga1
+ Revision: 74544
- Add epoch to allow upload

* Tue Mar 01 2011 dmorgan <dmorgan> 3.13-1.mga1
+ Revision: 61928
- Remove man file from filelist
- Fix buildrequires
- imported package jadetex


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 30 2010 Ondrej Vasik <ovasik@redhat.com> 3.13-9
- remove unneeded post dependency on policycoreutils(#625062)

* Fri Aug 28 2009 Ondrej Vasik <ovasik@redhat.com> 3.13-8
- ship manpage for jadetex/pdfjadetex

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 29 2009 Ondrej Vasik  <ovasik@redhat.com> 3.13-6
- fix requires(to match TeXLive2008 provides)
- trigger change to texlive

* Tue Mar 10 2009 Ondrej Vasik  <ovasik@redhat.com> 3.13-5
- cleanup after post scriptlet (no .log files in web2c dir)

* Mon Mar  9 2009 Ondrej Vasik  <ovasik@redhat.com> 3.13-4
- run restorecon -R /usr/share/texmf/web2c in post to prevent
  mishandled context (#448101)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan  7 2008 Ondrej Vasik  <ovasik@redhat.com> 3.13-2
- removed TeXdir macro, replaced by /usr(in fact by other
  rpm macros)
- used texcongig-sys rehash instead of texhash
- added documentation html file
- dist tag, license fix

* Fri Jun  8 2007 Ondrej Vasik  <ovasik@redhat.com> 3.13-1
- update to latest upstream version( 3.13)
- removed jadetex-3.12-theta.patch(included in 3.13)
- added small typo fix from upstream

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: kpsewhich: command not found
- rebuild

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 3.12-13
- Use fmtutil-sys instead of fmtutil (bug #150089).
- Require at least teTeX 3.

* Wed Feb 23 2005 Tim Waugh <twaugh@redhat.com> 3.12-12
- Applied fixes from Ulrich Drepper to work with tetex3 (bug #111309).

* Tue Sep 14 2004 Tim Waugh <twaugh@redhat.com> 3.12-11
- Build requires tetex-fonts (bug #132529).

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 30 2002 Karsten Hopp <karsten@redhat.de> 3.12-8
- BuildPrereq tetex (for kpsewhich)

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild in current collinst

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.12-6
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 3.12-5
- automated rebuild

* Fri Jun 21 2002 Tim Waugh <twaugh@redhat.com> 3.12-4
- Fix theta problem (bug #64865).

* Thu May 23 2002 Tim Powers <timp@redhat.com> 3.12-3
- automated rebuild

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 3.12-2
- Rebuild in new environment.

* Fri Jan 25 2002 Tim Waugh <twaugh@redhat.com> 3.12-1
- 3.12.
- Patches no longer needed: makefile, emergency, exp, multicols, euro,
  twosides.

* Fri Jan 11 2002 Tim Waugh <twaugh@redhat.com> 3.11-8
- Fix euro support.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 3.11-7
- automated rebuild

* Thu Jan  3 2002 Tim Waugh <twaugh@redhat.com> 3.11-6
- Build requires tetex-latex (bug #57895).

* Tue Dec 18 2001 Tim Waugh <twaugh@redhat.com> 3.11-5
- Ian Castle figured out how to fix unbalanced columns.  Apply
  his sourceforge patch.

* Wed Dec 12 2001 Tim Waugh <twaugh@redhat.com> 3.11-4
- Trigger on tetex-latex, not the base tetex package.

* Wed Oct 31 2001 Tim Waugh <twaugh@redhat.com> 3.11-3
- Revert the multicols change in 3.11 until the reason it breaks
  DocBook indexes is discovered.

* Mon Oct  1 2001 Tim Waugh <twaugh@redhat.com> 3.11-2
- Own /usr/share/texmf/tex/jadetex (bug #51381).

* Tue Sep 11 2001 Tim Waugh <twaugh@redhat.com> 3.11-1
- 3.11 (bug #51951).
- Trigger: rebuild fmt when teTeX is upgraded (bug #51921).

* Tue Aug 14 2001 Tim Powers <timp@redhat.com> 3.6-4
- rebuilt to hopefully fix rpm verify problems

* Thu Aug  9 2001 Tim Waugh <twaugh@redhat.com> 3.6-3
- Use %%ghost for the fmt files, since they get recreated (bug #49580).

* Wed Aug  1 2001 Tim Waugh <twaugh@redhat.com> 3.6-2
- Use emergencystretch (bug #47345).

* Mon Jun  4 2001 Tim Waugh <twaugh@redhat.com> 3.6-1
- 3.6.

* Mon Feb 12 2001 Tim Waugh <twaugh@redhat.com> 3.3-1
- 3.3.  Redo jadetex-makefile.patch.

* Fri Jan 19 2001 Tim Waugh <twaugh@redhat.com>
- Earlier change was wrong; jade should be required, not openjade
- Require sgml-common >= 0.5.

* Wed Jan 17 2001 Tim Waugh <twaugh@redhat.com>
- Make tetex a %%post requirement.
- Silence %%post output.
- Don't play so many macro games.
- Build requires unzip.

* Fri Jan 12 2001 Tim Waugh <twaugh@redhat.com>
- Make symlinks relative.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Change group.
- Require openjade not jade.
- rm before install.
- Use %%{_tmppath}.
- Require tetex-latex.
- Change Copyright: to License:.
- Remove Packager: line.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Based on Eric Bischoff's new-trials packages.
